import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiDisksListTypesResultModel(_base.BaseAPIResultModel):
    data: list[_nested.SEPAPIResultNM | _nested.PoolDiskType]
    entry_count: int


class CloudapiDisksListTypesProtocol(_base.BasePostAPIFunctionProtocol):
    def list_types(
        self,
        *,
        detailed: bool = False,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
    ) -> CloudapiDisksListTypesResultModel:
        ...
